%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-OpenSSL-RSA
Version:       0.33
Release:       1mamba
Summary:       Crypt::OpenSSL::RSA - RSA encoding and decoding, using the openSSL libraries
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-OpenSSL-RSA-%{version}.tar.gz
Patch0:        perl-Crypt-OpenSSL-RSA-0.26-perl-5.16.patch
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-Crypt-OpenSSL-Random

%description
RSA encoding and decoding, using the openSSL libraries.

%prep
%setup -q -n Crypt-OpenSSL-RSA-%{version}
#%patch0 -p0

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Jul 09 2022 Automatic Build System <autodist@mambasoft.it> 0.33-1mamba
- automatic version update by autodist

* Thu Sep 09 2021 Automatic Build System <autodist@mambasoft.it> 0.32-1mamba
- automatic version update by autodist

* Sun Apr 18 2021 Automatic Build System <autodist@mambasoft.it> 0.31-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28-2mamba
- rebuilt with perl 5.24

* Fri Feb 08 2013 Automatic Build System <autodist@mambasoft.it> 0.28-1mamba
- update to 0.28

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.26-3mamba
- perl 5.16 rebuild

* Wed Nov 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.26-2mamba
- rebuilt with openssl 1.0

* Tue Jan 12 2010 Automatic Build System <autodist@mambasoft.it> 0.26-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.25-2mamba
- automatic rebuild by autodist

* Thu Nov 08 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.25-1mamba
- package created by autospec
